/*
    This file is part of the KDE libraries
    SPDX-FileCopyrightText: 2020 Aleksei Nikiforov <darktemplar@basealt.ru>

    SPDX-License-Identifier: LGPL-2.0-or-later
*/

#ifndef KCONFIGSERIALIZATION_H
#define KCONFIGSERIALIZATION_H

#include "kconfigbase.h"

#include <kconfigcore_export.h>

#include <QStandardPaths>
#include <QString>

KCONFIGCORE_EXPORT QString serializeStandardLocation(QStandardPaths::StandardLocation value, bool &ok);
KCONFIGCORE_EXPORT QStandardPaths::StandardLocation deserializeStandardLocation(const QString &value, bool &ok);

KCONFIGCORE_EXPORT QString serializeWriteConfigFlags(const KConfigBase::WriteConfigFlags &value, bool &ok);
KCONFIGCORE_EXPORT KConfigBase::WriteConfigFlags deserializeWriteConfigFlags(const QString &value, bool &ok);

#endif // KCONFIGSERIALIZATION_H
